#
# spec file for package cups (Version 1.1.23)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           cups
BuildRequires:  gcc-c++ libpng-devel libtiff-devel openslp-devel openssl-devel pam-devel tcpd-devel
Url:            http://www.cups.org/
License:        GPL v2 or later
Group:          Hardware/Printing
Summary:        The Common UNIX Printing System
Version:        1.1.23
Release:        40.60.12
Requires:       cups-libs = %{version}, cups-client = %{version}
Requires:       ghostscript_any, ghostscript-fonts-std, foomatic-filters
Requires:       util-linux, /usr/bin/ionice
Conflicts:      plp lprold lprng
Source0:        cups-%{version}-source.tar.bz2
Source1:        poll_ppd_base.c
Source2:        lphelp.c
Source3:        dvitops
Source4:        pswrite
Source7:        ogonki
Source8:        rccups
Source9:        http://amaru.ti6.tu-harburg.de/portal/Members/ti6ntm/Projekte/Printanalyzer/PrintAnalyzer
Source11:       setcupsbroadcasting
Source12:       postscript.ppd.bz2
Source13:       cups.sysconfig
Source14:       cups.xinetd
Source15:       PSLEVEL1.PPD.bz2
Source16:       PSLEVEL2.PPD.bz2
Source17:       rccupsrenice
Patch1:         cups-mime.patch
Patch2:         cups-1.1.21rc2-ppdsdat_generation.patch
Patch3:         patch-template.dif
Patch4:         cups-1.1.15-libwrap-addition.dif
Patch5:         cups-pam.diff
Patch6:         cups-access-conf.diff
Patch7:         cups-1.1.23-locale.patch
Patch8:         cups-1.1.19-keepalive.patch
Patch9:         cups-1.1.21rc2-preauth_security.patch
Patch10:        cups-1.1.21rc2-usermode.patch
Patch11:        cups-1.1.22-md5sum_hide.patch
Patch12:        cups-1.1.20-pswrite.patch
Patch13:        cups-1.1.21-umlaut_printer.patch
Patch14:        cups-1.1.21-testppd_duplex.patch
Patch15:        cups-1.1.21-xpdf.patch
Patch16:        cups-1.1.23-xpdf2.patch
Patch17:        cups-1.1.23-lib_segfault.patch
Patch18:        cups-1.1.23-authorize_glitch.patch
Patch19:        cups-1.1.23-lppasswd.patch
Patch20:        cups-1.1.23-cupstestppd_pagesize.patch
Patch21:        cups-1.1.23-gcc40.patch
Patch22:        cups-1.1.23-pie.patch
Patch23:        cups-1.1.23-lpstat_strftime.patch
Patch24:        cups-1.1.23-cupstestppd.patch
Patch25:        cups-1.1.23-printcap_info.patch
Patch26:        cups-1.1.23-xpdf3.patch
Patch27:        cups-1.1.23-usb_descr.patch
Patch28:        cups-1.2.6-xpdf_CVE_2007_0104.patch
Patch29:        cups-1.1.22-ssl_negotiation.patch
Patch30:        cups-1.1.23-ssl_negotiation2.patch
Patch31:        cups-1.1.15-xpdf_CVE_2007_3387.patch
Patch32:        cups-1.1.23-lfs.patch
Patch33:        cups-1.1-ipp_length.patch
Patch34:        cups-1.2-CVE_2007_4352.patch
Patch35:        cups-1.2-CVE_2007_5392.patch
Patch36:        cups-1.2-CVE_2007_5393.patch
Patch37:        cups-1.1.23-CVE_2007_5848.patch
Patch38:        cups-1.1.23-reused_mime_type_DoS.patch
Patch39:        cups-1.1.23-use_printer_after_free_DoS.patch
Patch40:        cups-1.3.6-hpgl_filter.patch
Patch41:        cups-1.1.23-gif_filter.patch
Patch42:        cups-1.1.23-filter_png_overflow.patch
Patch43:        cups-1.1.23-xpdf_font_vul.patch
Patch44:        cups-1.3.7-imagetops_CVE_2008_3639.patch
Patch45:        cups-1.2.12-texttops_CVE_2008_3640.patch
Patch46:        cups-1.2.12-hpgltops_CVE_2008_3641.patch
Patch47:        cups-1.1.23-filter_png_overflow2.patch
Patch48:        cups-1.1.23-hpgltops2.patch
# Patch49 fixes an integer overflow in the "ImageReadTIFF()" function,
# (CVE-2009-0163 and CUPS STR #3031 and Novell/Suse Bugzilla bnc#485895):
Patch49:        cups-1.1.23-ImageReadTIFF_derived_from_cups-1.3.9-cupsImageReadTiff.patch
# Patch50 fixes various JBIG2 decoding issues in the pdftops filter
# (CVE-2009-0146, CVE-2009-0147, CVE-2009-0165, CVE-2009-0166,
#  and CUPS STR #3129 and Novell/Suse Bugzilla bnc#485897):
Patch50:        cups-1.1.23-pdftops-CVE_2009_0146-0147-0165-0166.patch
# Patch51 fixes multiple integer overflows in the pdftops filter
# (CVE-2009-0791 and Novell/Suse Bugzilla bnc#502061):
Patch51:        cups-1.1.22rc1-pdftops-CVE_2009_0791.patch
# Patch52 fixes an IPP_TAG_UNSUPPORTED handling null pointer vulnerability in the scheduler
# (CVE-2009-0949 and Novell/Suse Bugzilla bnc#503759):
Patch52:        cups-1.1.23-CVE_2009_0949.patch
# Patch53 fixes the len parameter for gethostbyaddr in cups-lpd.c
# (Novell/Suse Bugzilla bnc#514195):
Patch53:        cups-lpd_fix_gethostbyaddr.patch
# Patch54 fixes one more integer overflow in the pdftops filter
# (Novell/Suse Bugzilla bnc#546400):
Patch54:        cups-1.1.23-pdftops-bnc546400.patch
# Patch55 fixes a possible crash by a malicious PDF in the pdftops filter
# (CVE-2010-3702 and Novell/Suse Bugzilla bnc#644521):
Patch55:        cups-1.1.23-pdftops-CVE_2010_3702.patch
# Patch56 fixes a CUPS web interface memory disclosure
# (CVE-2010-1748 and Novell/Suse Bugzilla bnc#604271):
Patch56:        cups-1.1.23-CVE_2010_1748.patch
# Patch57 fixes a possible crash via NULL pointer dereference in the texttops filter
# (CVE-2010-0542 and Novell/Suse Bugzilla bnc#601352):
Patch57:        cups-1.1.23-texttops-CVE_2010_0542.patch
Patch100:       cups-1.1.23-testpage.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %suse_version >= 801
PreReq:         textutils, fileutils, sh-utils, %insserv_prereq, %fillup_prereq /usr/sbin/groupadd
%endif

%description
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features.

http://www.cups.org



Authors:
--------
    Easy Software Products <cups@cups.org>

%define INSTALL install -m755
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define CPUs %(grep -c ^processor\  /proc/cpuinfo || echo 1)

%package libs
License:        GPL v2 or later
Summary:        libraries for CUPS
Group:          Hardware/Printing

%description libs
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features. This package contains libraries needed by CUPS and
some other packages.



Authors:
--------
    Easy Software Products <cups@cups.org>

%package client
License:        GPL v2 or later
Summary:        CUPS Client Programs
Group:          Hardware/Printing
Conflicts:      plp lprold lprng
Requires:       cups-libs = %{version}

%description client
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features. This package contains all programs needed for
running a CUPS client, not a server.



Authors:
--------
    Easy Software Products <cups@cups.org>

%package devel
License:        GPL v2 or later
Summary:        Development Environment for CUPS
Group:          Development/Libraries/C and C++
Requires:       %{name}-libs = %{version}

%description devel
The Common UNIX Printing System provides a portable printing layer for
UNIX operating systems like BSD lp or lprng. CUPS provides some
additional features. This is the development package.

http://www.cups.org



Authors:
--------
    Easy Software Products <cups@cups.org>

%prep
%setup -n %{name}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p0 -E
%patch4 -p1
%patch5
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p0
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
# Patch49 fixes an integer overflow in the "ImageReadTIFF()" function,
# (CVE-2009-0163 and CUPS STR #3031 and Novell/Suse Bugzilla bnc#485895):
%patch49
# Patch50 fixes various JBIG2 decoding issues in the pdftops filter
# (CVE-2009-0146, CVE-2009-0147, CVE-2009-0165, CVE-2009-0166,
#  and CUPS STR #3129 and Novell/Suse Bugzilla bnc#485897):
%patch50
# Patch51 fixes multiple integer overflows in the pdftops filter
# (CVE-2009-0791 and Novell/Suse Bugzilla bnc#502061):
%patch51 -p1
# Patch52 fixes an IPP_TAG_UNSUPPORTED handling null pointer vulnerability in the scheduler
# (CVE-2009-0949 and Novell/Suse Bugzilla bnc#503759):
%patch52
# Patch53 fixes the len parameter for gethostbyaddr in cups-lpd.c
# (Novell/Suse Bugzilla bnc#514195):
%patch53 -p1
# Patch54 fixes one more integer overflow in the pdftops filter
# (Novell/Suse Bugzilla bnc#546400):
%patch54
# Patch55 fixes a possible crash by a malicious PDF in the pdftops filter
# (CVE-2010-3702 and Novell/Suse Bugzilla bnc#644521):
%patch55
# Patch56 fixes a CUPS web interface memory disclosure
# (CVE-2010-1748 and Novell/Suse Bugzilla bnc#604271):
%patch56
# Patch57 fixes a possible crash via NULL pointer dereference in the texttops filter
# (CVE-2010-0542 and Novell/Suse Bugzilla bnc#601352):
%patch57
if [ -f /.buildenv ]; then
	. /.buildenv
else
	BUILD_DISTRIBUTION_NAME="personal build CUPS version"
fi
perl -pi -e "s|SUSEVERSION|$BUILD_DISTRIBUTION_NAME|; \
	s/CUPSVERSION/%{version}/" %{PATCH100}
%patch100 -p1

%build
%{?suse_update_config:%{suse_update_config -f . }}
libtoolize --force
aclocal
autoconf
export CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -O2 -fno-strict-aliasing -fstack-protector"
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -fstack-protector"
export CXX=g++
./configure \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir} \
	--with-docdir=%{_defaultdocdir}/%{name} \
	--with-cups-user=lp \
	--with-cups-group=lp \
	--prefix=/
perl -pi -e 's:^(OPTIONS\s+\=):$1 -I/usr/X11R6/include -O2 -fstack-protector -fno-strict-aliasing:' Makedefs
perl -pi -e 's:^(INSTALL_BIN\s+\=.*)-s:$1:' Makedefs
# for debugging enable:
#perl -pi -e 's:^(OPTIONS\s+\=):$1 -I/usr/X11R6/include -O2 -fno-strict-aliasing -g -DDEBUG:' Makedefs
#perl -pi -e 's:^(OPTIM\s+\=):$1 -g -DDEBUG:' Makedefs
make CXX=g++
# Compile additional tools
gcc -opoll_ppd_base $RPM_OPT_FLAGS -fstack-protector -fPIC -fPIE -pie -I. -L./cups -lcups %{SOURCE1}
gcc -olphelp $RPM_OPT_FLAGS -fstack-protector -fPIC -fPIE -pie -I. -L./cups -lcups %{SOURCE2}

%install
make	prefix=$RPM_BUILD_ROOT \
	exec_prefix=$RPM_BUILD_ROOT/usr \
	BINDIR=$RPM_BUILD_ROOT/usr/bin \
	DATADIR=$RPM_BUILD_ROOT/usr/share/cups \
	DOCDIR=$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name} \
	INCLUDEDIR=$RPM_BUILD_ROOT/usr/include \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	LOCALEDIR=$RPM_BUILD_ROOT/usr/share/locale \
	LOGDIR=$RPM_BUILD_ROOT/var/log/cups \
	MANDIR=$RPM_BUILD_ROOT/usr/share/man \
	AMANDIR=$RPM_BUILD_ROOT/usr/share/man \
	MAN8EXT=8 \
	PAMDIR=$RPM_BUILD_ROOT/etc/pam.d \
	REQUESTS=$RPM_BUILD_ROOT/var/spool/cups \
	SBINDIR=$RPM_BUILD_ROOT/usr/sbin \
	SERVERBIN=$RPM_BUILD_ROOT%{_libdir}/cups \
	SERVERROOT=$RPM_BUILD_ROOT/etc/cups \
	INITDIR="" \
	INITDDIR="" \
	install
if [ x%{version} = x"1.1.18" ]; then
	mv $RPM_BUILD_ROOT/usr/sbin/cupstestppd \
		$RPM_BUILD_ROOT/usr/bin/cupstestppd 
fi
# place CUPS-O-MATIC script in CUPS filter directory
%{INSTALL_SCRIPT} %{SOURCE7} $RPM_BUILD_ROOT%{_libdir}/cups/filter
%{INSTALL_SCRIPT} %{SOURCE3} $RPM_BUILD_ROOT%{_libdir}/cups/filter
%{INSTALL_SCRIPT} %{SOURCE4} $RPM_BUILD_ROOT%{_libdir}/cups/filter
install -m 0644 conf/printcap $RPM_BUILD_ROOT/etc/cups
ln -s /etc/cups/printcap $RPM_BUILD_ROOT/etc
# install the two litte tools
install -m 755 poll_ppd_base $RPM_BUILD_ROOT/usr/bin/
install -m 755 lphelp $RPM_BUILD_ROOT/usr/bin/
%{INSTALL_DIR} $RPM_BUILD_ROOT/etc/init.d
%{INSTALL_SCRIPT} %{SOURCE8} $RPM_BUILD_ROOT/etc/init.d/cups
%{INSTALL_SCRIPT} %{SOURCE17} $RPM_BUILD_ROOT/etc/init.d/cupsrenice
%{INSTALL_DIR} $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{SOURCE13} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.cups
perl -pi -e "s:\@LIB\@:%{_libdir}:g" $RPM_BUILD_ROOT/etc/init.d/cups
ln -sf ../../etc/init.d/cups $RPM_BUILD_ROOT/usr/sbin/rccups
ln -sf ../../etc/init.d/cupsrenice $RPM_BUILD_ROOT/usr/sbin/rccupsrenice
#
rm -r $RPM_BUILD_ROOT/usr/share/cups/fonts
#mkdir -p /usr/share/ghostscript/fonts
mkdir -p $RPM_BUILD_ROOT/usr/share/ghostscript/fonts
ln -sf /usr/share/ghostscript/fonts $RPM_BUILD_ROOT/usr/share/cups/
# make directory for ssl files:
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cups/ssl
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
install -m 644 -D %{SOURCE14} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/cups-lpd
perl -pi -e "s:\@LIB\@:%{_libdir}:g" $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/cups-lpd
ln -sf libcupsimage.so.2 $RPM_BUILD_ROOT%{_libdir}/libcupsimage.so
ln -sf libcups.so.2 $RPM_BUILD_ROOT%{_libdir}/libcups.so
ln -sf ../sbin/lpc $RPM_BUILD_ROOT/usr/bin/lpc # bugzilla#16652
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/share/cups/drivers
%{INSTALL_DIR} $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}
%{INSTALL_DIR} $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/images
install -m 644 -D conf/pam.suse $RPM_BUILD_ROOT/etc/pam.d/cups
install -m 755 $RPM_SOURCE_DIR/PrintAnalyzer $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
for f in CGI.txt CREDITS.txt ENCRYPTION.txt LICENSE.txt LICENSE.html README.txt README_fr.txt; do
	install -m 644 "$f" $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
done
bzip2 -cd < %{SOURCE12} > $RPM_BUILD_ROOT%{_datadir}/cups/model/Postscript.ppd
bzip2 -cd < %{SOURCE15} > $RPM_BUILD_ROOT%{_datadir}/cups/model/Postscript-level1.ppd
bzip2 -cd < %{SOURCE16} > $RPM_BUILD_ROOT%{_datadir}/cups/model/Postscript-level2.ppd
find %{buildroot}/usr/share/cups/model -name "*.ppd" | while read FILE
do
    # change default paper size from letter to A4 if possible (bugzilla#30662)
    # and delete trailing whitespace
    perl -pi -e 's:^(\*Default.*)Letter\s*$:$1A4\n:; \
	s:^(\*ImageableArea A4.*\:\s+)"0 0 595 842":$1"24 48 571 818":; \
	s:^(\*ImageableArea Letter.*\:\s+)"0 0 612 792":$1"24 48 588 768":; \
	s:\s\n:\n:' \
	"$FILE"
    gzip -9 "$FILE"
done
# remove unpackaged files
rm -rf $RPM_BUILD_ROOT/%{_mandir}/es/cat?
rm -rf $RPM_BUILD_ROOT/%{_mandir}/fr/cat?
rm -rf $RPM_BUILD_ROOT/%{_mandir}/cat?

%clean
#test -n "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 71 -o -r ntadmin 2>/dev/null || :

%post libs
%run_ldconfig

%post
%{fillup_and_insserv -npy cups cups}
%{fillup_and_insserv -npY cups cupsrenice}

%preun
%stop_on_removal cups

%postun
%restart_on_update cups
%{insserv_cleanup}

%files
%defattr(-,root,root)
%dir %attr(711,lp,lp) %{_sysconfdir}/cups/certs
%dir %attr(755,lp,lp) %{_sysconfdir}/cups/ppd
%dir %attr(700,lp,lp) %{_sysconfdir}/cups/ssl
%config(noreplace) %attr(640,lp,lp) %{_sysconfdir}/cups/classes.conf
%config(noreplace) %attr(640,lp,lp) %{_sysconfdir}/cups/cupsd.conf
%config(noreplace) %attr(755,lp,lp) %{_sysconfdir}/cups/interfaces
%config(noreplace) %{_sysconfdir}/cups/mime.*
%config(noreplace) %attr(640,lp,lp) %{_sysconfdir}/cups/printers.conf
%config(noreplace) %{_sysconfdir}/xinetd.d/cups-lpd
%verify(not md5 size mtime) %config(missingok,noreplace) %{_sysconfdir}/cups/printcap
%verify(not md5 size mtime) %config(missingok,noreplace) %{_sysconfdir}/printcap
%{_bindir}/poll_ppd_base
%{_bindir}/cupstestppd
%dir %{_libdir}/cups
%dir %{_libdir}/cups/backend
%{_libdir}/cups/backend/http
%{_libdir}/cups/backend/ipp
%{_libdir}/cups/backend/lpd
%{_libdir}/cups/backend/parallel
%{_libdir}/cups/backend/scsi
%{_libdir}/cups/backend/serial
%{_libdir}/cups/backend/socket
%{_libdir}/cups/backend/usb
%{_libdir}/cups/cgi-bin
%{_libdir}/cups/daemon
%dir %{_libdir}/cups/filter
%{_libdir}/cups/filter/[abd-z]*
%{_sbindir}/cupsaddsmb
%{_sbindir}/cupsd
%{_sbindir}/rc*
%dir %attr(0775,root,ntadmin) /usr/share/cups/drivers
%dir /usr/share/cups
/usr/share/cups/[bcf-t]*
/usr/share/cups/d[ao]*
%config %attr(0755,root,root) /etc/init.d/cups
%config %attr(0755,root,root) /etc/init.d/cupsrenice
%config /etc/pam.d/cups
/var/adm/fillup-templates/sysconfig.cups
%doc %{_defaultdocdir}/%{name}
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/cupsaddsmb*
%doc %{_mandir}/man8/cups-lpd*
%doc %{_mandir}/man8/cups-polld*
%doc %{_mandir}/man8/cupsd*
%dir %{_mandir}/es
%dir %{_mandir}/es/man5
%dir %{_mandir}/es/man8
%doc %{_mandir}/es/man5/*
%doc %{_mandir}/es/man8/cupsaddsmb*
%doc %{_mandir}/es/man8/cups-lpd*
%doc %{_mandir}/es/man8/cups-polld*
%doc %{_mandir}/es/man8/cupsd*
%dir %{_mandir}/fr
%dir %{_mandir}/fr/man5
%dir %{_mandir}/fr/man8
%doc %{_mandir}/fr/man5/*
%doc %{_mandir}/fr/man8/cupsaddsmb*
%doc %{_mandir}/fr/man8/cups-lpd*
%doc %{_mandir}/fr/man8/cups-polld*
%doc %{_mandir}/fr/man8/cupsd*

%files client
%defattr(-,root,root)
%{_bindir}/lp
%{_bindir}/lpc
%{_bindir}/lphelp
%{_bindir}/lpoptions
%attr(4755,lp,sys) %{_bindir}/lppasswd
%{_bindir}/lpq
%{_bindir}/lpr
%{_bindir}/lprm
%{_bindir}/lpstat
%{_bindir}/cancel
%{_bindir}/*able
%{_sbindir}/accept
%{_sbindir}/lp*
%{_sbindir}/reject
%dir %{_datadir}/locale/C
%{_datadir}/locale/*/cups_*
%doc %{_mandir}/man1/[a-eg-z]*
%doc %{_mandir}/man1/filter*
%dir %{_mandir}/fr
%dir %{_mandir}/fr/man1
%dir %{_mandir}/fr/man8
%doc %{_mandir}/fr/man1/*
%doc %{_mandir}/man8/[ad-r]*
%doc %{_mandir}/fr/man8/[ad-r]*
%dir %{_mandir}/es
%dir %{_mandir}/es/man1
%dir %{_mandir}/es/man8
%doc %{_mandir}/es/man1/*
%doc %{_mandir}/es/man8/[ad-r]*

%files devel
%defattr(-,root,root)
%{_includedir}/cups
%{_libdir}/libcups.a
%{_libdir}/libcupsimage.a

%files libs
%defattr(-,root,root)
%{_bindir}/cups-config
#%dir %attr(0755,lp,lp) %{_sysconfdir}/cups/
%dir %attr(0710,lp,lp) %{_var}/spool/cups
%dir %attr(1770,lp,lp) %{_var}/spool/cups/tmp
%dir %attr(0755,lp,lp) %{_var}/log/cups/
%config(noreplace) %{_sysconfdir}/cups/client.conf
%{_libdir}/libcups.so*
%{_libdir}/libcupsimage.so*

%changelog
* Thu Oct 14 2010 jsmeix@suse.de
- cups-1.1.23-pdftops-CVE_2010_3702.patch fixes a possible
  crash by a malicious PDF in the pdftops filter
  (CVE-2010-3702 Novell/Suse Bugzilla bnc#644521)
- cups-1.1.23-CVE_2010_1748.patch fixes a CUPS web interface
  memory disclosure
  (CUPS STR#3577 CVE-2010-1748 Novell/Suse Bugzilla bnc#604271)
- cups-1.1.23-texttops-CVE_2010_0542.patch fixes a possible
  crash via NULL pointer dereference in the texttops filter
  (CUPS STR#3516 CVE-2010-0542 Novell/Suse Bugzilla bnc#601352)
* Tue Oct 13 2009 jsmeix@suse.de
- cups-1.1.23-pdftops-bnc546400.patch fixes one more
  integer overflow via in the pdftops filter
  (CVE-2009-3609 and Novell/Suse Bugzilla bnc#546400).
* Tue Jul  7 2009 jsmeix@suse.de
- cups-lpd_fix_gethostbyaddr.patch fixes the len parameter for
  gethostbyaddr in cups-lpd.c (Novell/Suse Bugzilla bnc#514195).
* Fri May 29 2009 jsmeix@suse.de
- Enhanced cups-1.1.22rc1-pdftops-CVE_2009_0791.patch
  with additional fixes for the alloc(a*b+c) cases
  (Novell/Suse Bugzilla bnc#502061 starting at comment #26).
* Wed May 20 2009 jsmeix@suse.de
- cups-1.1.23-CVE_2009_0949.patch fixes an IPP_TAG_UNSUPPORTED
  handling null pointer vulnerability in the scheduler
  (CVE-2009-0949 and Novell/Suse Bugzilla bnc#503759).
* Tue May 19 2009 jsmeix@suse.de
- cups-1.1.22rc1-pdftops-CVE_2009_0791.patch fixes multiple
  integer overflows in the pdftops filter (CVE-2009-0791
  and Novell/Suse Bugzilla bnc#502061).
* Thu Apr  9 2009 jsmeix@suse.de
- cups-1.1.23-pdftops-CVE_2009_0146-0147-0165-0166.patch
  fixes various JBIG2 decoding issues in the pdftops filter
  (CVE-2009-0146, CVE-2009-0147, CVE-2009-0165, CVE-2009-0166,
  and CUPS STR #3129 and Novell/Suse Bugzilla bnc#485897).
* Thu Mar 26 2009 jsmeix@suse.de
- cups-1.1.23-ImageReadTIFF_derived_from_cups-1.3.9-cupsImageReadTiff.patch
  fixes an integer overflow in the "ImageReadTIFF()" function
  in CUPS version 1.1.23 according to CVE-2009-0163
  (CUPS STR #3031 and Novell/Suse Bugzilla bnc#485895).
* Tue Nov 25 2008 kssingvo@suse.de
- fix for png size validation CVE-2008-??? (bnc#448631)
- correction for hpgl pen selection fix CVE-2008-3641 (bnc#430543)
* Tue Sep 30 2008 kssingvo@suse.de
- fix for heap-based overflow in image filter CVE-2008-3639 (bnc#430543)
- fix for integer overflow in text filter CVE-2008-3640 (bnc#430543)
- fix for unchecked index issue in hpgl filter CVE-2008-3641 (bnc#430543)
* Wed Apr 16 2008 kssingvo@suse.de
- fix for integer overflow in png filter CVE-2008-1722 (bugzilla#378335)
- fix for font issue in pdftops CVE-2008-1693 (bugzilla#377872)
* Thu Mar 20 2008 kssingvo@suse.de
- fix for lzw buffer overflow in gif filter CVE-2008-1373 (bugzilla#372642)
- fix for buffer overflow in hpgl filter CVE-2008-0053 (bugzilla#372612)
* Fri Feb 29 2008 kssingvo@suse.de
- fix for reused mime types DoS CVE-2008-0596 (bugzilla#363919)
- fix for reuse of freeed printers DoS CVE-2008-0597 (bugzilla#363919)
* Mon Dec 10 2007 kssingvo@suse.de
- fix for configuration issue CVE-2007-5848 (bugzilla#346732)
* Wed Nov  7 2007 kssingvo@suse.de
- fixes for xpdf CVE-2007-4352, CVE-2007-5393, CVE-2007-5392 (bugzilla#335637)
* Tue Oct 23 2007 kssingvo@suse.de
- fix for IPP boundaries swamp-14294, CVE-2007-4351 (bugzilla#335635)
* Mon Oct  1 2007 kssingvo@suse.de
- fixed >2GB issues (bugzilla#329793)
* Mon Aug  6 2007 kssingvo@suse.de
- fix for xpdf bugzilla#291690, CVE-2007-3387, swamp-11865
* Thu May 31 2007 kssingvo@suse.de
- another fix for SSL negotiation, swamp-10214 (bugzilla#279494)
- fixed locale patch when printing jpegs (bugzilla#251032)
* Tue Apr 17 2007 kssingvo@suse.de
- fix for SSL negotiation bug CVE-2007-0720 (bugzilla#254554)
* Wed Jan 24 2007 kssingvo@suse.de
- rework on xpdf issue bugzilla#233113, CVE-2007-0104, swamp-7887
* Tue Jan 16 2007 kssingvo@suse.de
- fix for xpdf bugzilla#233113, CVE-2007-0104, swamp-7887
* Mon May 22 2006 kssingvo@suse.de
- removed Required-Start: in rccupsrenice; real fix for (bugzilla#172708)
* Mon May 22 2006 lmuelle@suse.de
- Only activate cupsrenice on initial install; [#172708].
* Tue Apr 25 2006 kssingvo@suse.de
- fixed pswrite.patch (bugzilla#169068)
* Tue Apr 11 2006 kssingvo@suse.de
- fixed the usb naming for special HP printers (bugzilla#163833)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 lmuelle@suse.de
- Move cups-config to the libs sub package.  Then we do not bother anyone as
  cups-libs is required by cups-devel and cups; [#142004].
* Fri Jan 13 2006 meissner@suse.de
- Use -fstack-protector.
* Wed Jan 11 2006 kssingvo@suse.de
- moved cups-config into main package (bugzilla#142004)
* Tue Jan 10 2006 kssingvo@suse.de
- fixed %%files for /etc/cups/printcap (bugzilla#140308)
- fixed various xpdf security issues (bugzilla#137156)
  CVE-2005-3624, CVE-2005-3625, CVE-2005-3626, CVE-2005-3627,
  CVE-2005-3628, CVE-2005-3193
* Tue Dec  6 2005 kssingvo@suse.de
- fixed xpdf overflow CVE-2005-3193 (bugzilla#137156)
* Wed Nov 23 2005 kssingvo@suse.de
- fixed the info of last printer in printcap file (bugzilla#132152)
* Wed Nov 23 2005 kssingvo@suse.de
- added global lpoptions file (bugzilla#118982)
- fixed $ppid test in rccupsrenice (bugzilla#119822)
- fixed short description in rccupsrenice (bugzilla#121873)
- changed filtering of mozilla-ps (bugzilla#130623)
* Mon Sep 12 2005 kssingvo@suse.de
- fixed segfault in cupstestppd (bugzilla#116468)
* Thu Sep  8 2005 kssingvo@suse.de
- fixed rccupsrenice: can handle mutliple pids in $ppid now (bugzilla#115863)
- fixed rccupsrenice: link points to correct script
* Mon Sep  5 2005 kssingvo@suse.de
- fixed rccupsrenice: requires changed to cupsd (bugzilla#115261)
* Fri Sep  2 2005 kssingvo@suse.de
- fixed length of stftime array in lpstat (bugzilla#105732)
* Thu Sep  1 2005 kssingvo@suse.de
- rccupsrenice checks if cupsd is running before processing (bugzilla#114650)
* Tue Aug 23 2005 kssingvo@suse.de
- coolo wants a speedup of system boot:
  rccups: cupsd gets now a lower ionice value if booting in level 5
  and rccupsrenice (new introduced) brings those io values back,
  later when system is up and running
* Tue Jul 26 2005 kssingvo@suse.de
- removed backends pipe and novell; now in cups-backends
* Mon Jul 11 2005 kssingvo@suse.de
- further changes for PIE
- renamed latest patches to my naming schema
* Thu Jun 30 2005 uli@suse.de
- build with -fPI[CE] (not -fpi[ce]) to avoid GOT overflows in
  certain packages (e.g. scribus) on s390*
* Mon Jun 20 2005 ro@suse.de
- build as PIE
* Wed Jun 15 2005 mfabian@suse.de
- Bugzilla #41006 "Charset detection in CUPS":
  add missing includes and fix charset and language detection.
* Mon Jun 13 2005 kssingvo@suse.de
- removed permissions file from package (bugzilla#66305)
- changed permission of xinetd.d file
- fixed SUSE version in testpage (bugzilla#78075)
* Thu Apr  7 2005 kssingvo@suse.de
- gcc4.0 compilation fixes (thx to mls)
* Thu Mar 10 2005 kssingvo@suse.de
- fixed problem in lppasswd file generation (bugzilla#64370)
- fixed problem in library with authorization
- cupstestppd checks now PageSize more properly
* Tue Mar  1 2005 kssingvo@suse.de
- fixed lpstat segfault issue (bugzilla#66328)
* Mon Feb 21 2005 kssingvo@suse.de
- added "hplip" to rccups (bugzilla#65378)
* Tue Feb 15 2005 kssingvo@suse.de
- introduced norootforbuild
* Fri Jan 21 2005 kssingvo@suse.de
- update to version 1.1.23 and adaption of patches
- added xpdf buffer overflow fix; CAN-2005-0064 (bugzilla#49840)
* Sat Jan 15 2005 schwab@suse.de
- Use <owner>:<group> in permissions file.
* Sun Dec 19 2004 kssingvo@suse.de
- added additional xpdf buffer overflow patches (missing in this
  version)
* Wed Dec 15 2004 kssingvo@suse.de
- updated novell backend (bugzilla#41773)
- updated pipe backend (bugzilla#33659)
* Wed Nov 17 2004 kssingvo@suse.de
- updated to cups-1.1.22
- adapted spec file, patches, etc.
* Mon Nov  8 2004 kukuk@suse.de
- Include common-* PAM config files in cups configuration
* Fri Sep 24 2004 kssingvo@suse.de
- added creation of group ntadmin in %%pre (bugzilla#45719)
* Mon Sep 20 2004 kssingvo@suse.de
- cupstestppd fails on some doubtful Sharp PPDs (bugzilla#45648)
- removed ed from neededforbuild list
* Wed Sep 15 2004 kssingvo@suse.de
- fix for umlaut names when download of queue ppds (bugzilla#44975)
* Tue Sep 14 2004 kssingvo@suse.de
- cups-1.1.21 is now released
- cupsomatic removed (will be replaced by foomatic-rip/foomatic-filters)
- more useable messages in preauth patch
* Thu Sep  2 2004 kssingvo@suse.de
- ignores now short living childs in ppds.dat generation case
* Wed Sep  1 2004 kssingvo@suse.de
- fixed security problem in cupsomatic, CAN-2004-0801 (bugzilla#44233)
* Tue Aug 31 2004 kssingvo@suse.de
- first try for cups-1.1.21rc2
- renumbered patches
- adapted old SuSE patches to this version
- removed /var/adm/notify -- ancient and no longer needed
* Thu Aug 12 2004 kssingvo@suse.de
- added test for /.buildenv to make users happy (bugzilla#43503) :-)
* Wed Apr 21 2004 kssingvo@suse.de
- removed needless "rm -rf $RPM_BUILD_ROOT" in %%install
- added -fno-strict-aliasing compile option (*sic*)
- added missing mime handling of pswrite (bugzilla#33862)
* Tue Apr 13 2004 kssingvo@suse.de
- removed x-devel-packages from neededforbuild
* Tue Apr  6 2004 kssingvo@suse.de
- fixed segfault in library (bugzilla#38381) - tested and works fine
* Mon Mar 22 2004 kssingvo@suse.de
- fixed image links in web interface (bugzilla#36403)
- fixed cupstestppd (bugzilla#36688)
* Wed Mar 17 2004 kssingvo@suse.de
- cupstestppd failed if PPD file has default for non-existance names (STR#476)
- patch for CPU excess if CGI is sending faster than client receiving (STR#595)
- faster scan of ppd files (bugzilla#33222)
- patch for broken HTTP authentication cache (STR#517)
- redirect administration tasks to primary server (STR#491)
* Wed Mar 17 2004 kssingvo@suse.de
- added pswrite filter script to produce PostScript1 output
- beautified filter ogonki "mktemp -q /tmp/dvitops.XXXXXX" -> ogonki.XXXXXX
- removed cups-1.1.19-no_dvi.patch, fixed cups-mime.patch instead
- added PS1 and PS2 PPD files (bugzilla#34938)
* Tue Mar 16 2004 kssingvo@suse.de
- backport of signed char usage for weird platforms (STR#518)
- cups-lpd mini-daemon rejects jobs if queue behing is rejecting (STR#515)
- fix for too fast CGI data delivery (STR#484)
* Mon Mar  8 2004 kssingvo@suse.de
- backport of fixes in CVS repository for scheduler and library,
  with many fixes, like crash on remote reject, close client on
  errors, propper http flushing, etc. -- first print tests work fine.
* Mon Mar  8 2004 kssingvo@suse.de
- many backports of fixes in CVS repository
- upgrade of pdftops to version 2.03
* Mon Feb 23 2004 kssingvo@suse.de
- memory overwrite fixed in rastertoepson
- fixed md5sum revealing problem (bugzilla#32862)
- fixed naming of some usb printers
* Wed Feb 11 2004 kssingvo@suse.de
- activated incidentally removed usermode patch (bugzilla#34438)
- added "printbill" to rccups
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Wed Nov 26 2003 kssingvo@suse.de
- fixed permission of directory interfaces (bugzilla#33337)
- added new option "-p" to generate ppds.dat only and exit (bugzilla#33222)
- added openslp support
- upgraded to 1.1.20 (final)
* Wed Oct  1 2003 kssingvo@suse.de
- changed LC_MESSAGES -> LC_CTYPE (= fixed bugzilla#26006)
* Thu Sep 25 2003 kssingvo@suse.de
- update to 1.1.20rc2
* Wed Sep 17 2003 kssingvo@suse.de
- authentication method for /admin changed (bugzilla#31158)
* Mon Sep 15 2003 kssingvo@suse.de
- fixed PPDs defaults: Letter -> A4 (bugzilla#30662)
* Thu Sep 11 2003 kukuk@suse.de
- Set sticky bit for /var/spool/cups/tmp
* Thu Sep 11 2003 kssingvo@suse.de
- changed rcfile, as suggested in bugzilla#28444
* Tue Sep  9 2003 kssingvo@suse.de
- fixed typo in configuration for preauth security patch
* Mon Sep  8 2003 kssingvo@suse.de
- fix for the SLP browsing patch (missing/wrong initialize of variables)
* Wed Sep  3 2003 kssingvo@suse.de
- fix for boolean options in filters (CUPS STR#249)
- fix for check of written bytes in 4 backends (CUPS STR#253)
- fix for segfault when browsing and SLP is set on (CUPS STR#259)
- fix for restart problem of processed jobs (CUPS STR#226)
- fix for LPD port number in URI (CUPS STR#249)
- fix for Landscape PDF offset rotation position (CUPS STR#243)
- generated /etc/cups/printcap and link /etc/printcap due to UserMode
  (bugzilla#29671)
* Tue Sep  2 2003 kssingvo@suse.de
- fixed %%_libdir problem in xinetd.d/cups-lpd (bugzilla#29877)
* Mon Sep  1 2003 kssingvo@suse.de
- last fix of bugzilla#29418 didn't work in reality. on specfile again.
- "-y" for fillup_and_insserv
* Mon Sep  1 2003 kssingvo@suse.de
- DOCDIR removed to fix bugzilla#29418
- specfile: daemon has now security patches -> start it on boot per default
- specfile: restart of daemon on package update
* Fri Aug 29 2003 kukuk@suse.de
- Set explicit correct permissions of /etc/cups contents, else
  cups will do it.
* Tue Aug 26 2003 kssingvo@suse.de
- changed attributes for files (bugzilla#28736)
* Mon Aug 25 2003 kssingvo@suse.de
- fix for locale destroying (bugzilla#29218)
* Mon Aug 25 2003 kssingvo@suse.de
- made restrictrions in cupsd.conf to take preauthorization effect
* Thu Aug 21 2003 kssingvo@suse.de
- cupsd runs now as lp:lp (as suggested in bugzilla#28444)
* Thu Aug 21 2003 kssingvo@suse.de
- added preauthorization patch from okir - seems to work - thx
* Thu Aug 21 2003 kssingvo@suse.de
- fixed USB backend to report manufacturer and model, if description
  string is missing (cups STR#174)
- fixed problem with some embedded Type1C fonts (cups STR#177)
- fixed problem when reading files and using the POSIX locale (cups STR#159)
* Wed Aug 20 2003 kssingvo@suse.de
- added official patch for cupstestppd problem (bugzilla#27950)
- fixed problem with "keepalive on" (bugzilla#28154)
- fixed encode options to honor "yes" and "on" as values too
* Mon Aug 18 2003 kssingvo@suse.de
- fixed metadata in sysconfig file (bugzilla#28861)
* Wed Aug 13 2003 kssingvo@suse.de
- fixed cupstestppd (bugzilla#27950)
* Thu Jul 31 2003 coolo@suse.de
- don't strip explicitly, but let the brp scripts handle it
* Tue Jul 29 2003 kssingvo@suse.de
- fixed ogonkify (bugzilla#28307)
* Thu Jul 10 2003 kssingvo@suse.de
- fixed 64bit problem in printers.cgi (bugzilla#24786)
- removed dvi printing support due to missing packages (bugzilla#27032)
* Fri Jul  4 2003 kssingvo@suse.de
- splitted out foomatic-filters package, which is cups independed
  (except Coolo's faulty checking)
* Mon Jun 23 2003 kssingvo@suse.de
- fixed mandir problem under non-i386 architecture
* Mon Jun 23 2003 lmuelle@suse.de
- remove smb backand from file list and init script; it's now part of the
  samba-client package
* Tue Jun 17 2003 kssingvo@suse.de
- added ptal to Should-Start in rccups (bugzilla#27159)
* Thu Jun 12 2003 kukuk@suse.de
- Add missing directories to filelist
* Mon Jun  2 2003 kssingvo@suse.de
- 1.1.19 is released -> updated
* Fri May 30 2003 ro@suse.de
- remove unpackaged files from buildroot
* Tue Apr 29 2003 kssingvo@suse.de
- updated to 1.1.19rc3
- removed unnecessary patches
- removed README.SuSE (bugzilla#26479)
* Wed Apr  9 2003 kssingvo@suse.de
- added patch for cgi-interface: hostname is now mapped to localhost
- updated PrintAnalyzer script
* Wed Mar 12 2003 kssingvo@suse.de
- fixed "endless attempts to print" problem (bugzilla#25152)
* Wed Mar 12 2003 kssingvo@suse.de
- installs now correct pam file (bugzilla#23277)
* Mon Mar 10 2003 kssingvo@suse.de
- fixed location of foomatic-rip filters -> /usr/bin
- added link for foomatic-rip
- updated foomatic-rip (to latest, fixed version)
* Thu Mar  6 2003 kssingvo@suse.de
- fixed typo for manpage installation of foomatic-rip
- fixed file list of cups and cups-client (foomatic-rip is part of cups
  and therefore the corresponding package should contain the manpage too)
* Mon Mar  3 2003 kssingvo@suse.de
- updated cupsomatic to linuxprinting.org (hopefully fixed accounting problem)
* Thu Feb 27 2003 kssingvo@suse.de
- fix for add printer with KDE util (from CVS head)
* Wed Feb 26 2003 kssingvo@suse.de
- fixed again filelist :)
- fixed documenation path (buzgzilla#24083)
- fixed PPD file parsing (from CVS head)
- tested daemon
* Wed Feb 26 2003 ro@suse.de
- fix filelist (file listed twice)
* Wed Feb 26 2003 kssingvo@suse.de
- updated foomatic-gswrapper
- added new foomatic-rip: filter, config file and manpage
* Mon Feb 24 2003 kssingvo@suse.de
- updated backends novell and pipe
- renamed sysconfig metadata:  sysconfig.cups -> cups.sysconfig
- renamed permissions file:    permissions.cups -> cups.permissions
- fixed problem in lpoptions (no more loops! :)
* Thu Feb 20 2003 mmj@suse.de
- Add sysconfig metadata [#22629]
* Fri Feb  7 2003 kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Tue Jan 28 2003 kssingvo@suse.de
- fixed "Error message when starting cups daemon" problem (bugzilla#22472)
- removed unnecessary DocumentRoot setting cupsd.conf
* Tue Jan 28 2003 kssingvo@suse.de
- changed replacement of distribution in testprint.ps
- rccups: moved hotplug from required start to should-start (bugzilla#23054)
- added /usr/bin/cupstestppd (bugzilla#23143)
- created xinetd.d file for cups-lpd
* Thu Jan 23 2003 kssingvo@suse.de
- added usb patch (for epson printers)
- added herrno patch in IPP protocol
* Fri Jan 17 2003 kssingvo@suse.de
- added two backends (pipe + novell), written by jsrain@suse.cz
- welcome back foomatic filter (makes more sense to have it here)
* Fri Dec 20 2002 kssingvo@suse.de
- updated to 1.1.18, adapted testpage.diff for new version
* Mon Dec 16 2002 kssingvo@suse.de
- fixed test for link problem in rccups
* Tue Dec 10 2002 kssingvo@suse.de
- removed foomatic filter. with next suse release will be in pkg cups-drivers
* Wed Dec  4 2002 kssingvo@suse.de
- updated to version 1.1.17, removed lib64 patch (now already in source tree)
* Thu Nov  7 2002 kssingvo@suse.de
- updated %%files for all cups subpackages.
  (Now new cups files are included too :-)
* Thu Nov  7 2002 kssingvo@suse.de
- removed debuging option in spec file.
* Thu Nov  7 2002 kssingvo@suse.de
- updated to version 1.1.16, removed or adapted SuSE patches
* Tue Sep 10 2002 ro@suse.de
- added prereq for groupadd (#19300)
* Thu Sep  5 2002 ro@suse.de
- fix postinstall
* Thu Sep  5 2002 kssingvo@suse.de
- changed %%post: removed "insserv" to make yast2 and security happy
* Mon Sep  2 2002 kssingvo@suse.de
- changed cupsd.conf for 127.0.0.2 access (bugzilla#18764)
* Mon Sep  2 2002 kssingvo@suse.de
- added directory /usr/share/cups/drivers for cupsaddsmb/samba
* Tue Aug 27 2002 kssingvo@suse.de
- fixed foomatic and foomatic-gswrapper (bugzilla#18425)
* Wed Aug 21 2002 kssingvo@suse.de
- gave %%files sections a %%deffattr and gave special files and dirs
  a required %%attr permissions of lp.sys (bugzilla#18126)
* Tue Aug 20 2002 uli@suse.de
- fixed hardcoded path CUPS_SERVERBIN (fixes ghostscript on lib64
  archs)
* Tue Aug 20 2002 mmj@suse.de
- Correct PreReq
* Mon Aug 12 2002 kssingvo@suse.de
- cups-devel now requires exact matching version of cups-libs
- added /var/log/cups to cups-libs (bugzilla#17617)
* Sat Jul 27 2002 adrian@suse.de
- add %%run_ldconfig
* Mon Jul 22 2002 kssingvo@suse.de
- fix for author patch: crashed on reload signal (tested for stability)
* Fri Jul 19 2002 kssingvo@suse.de
- using now fillup to generate sysconfig file
- replaced delayed exit patch by CUPS authors one
* Thu Jul 18 2002 kssingvo@suse.de
- again rccups: rc.config only parsed, if present (for backward compatibility)
* Thu Jul 18 2002 kssingvo@suse.de
- updated rccups to satisfy new SuSE requirements
- added delayed exit of cupsd patch (for processing many PPD files)
* Wed Jul 10 2002 kssingvo@suse.de
- adapted the pam file for SuSE (according to Thorstens proposal)
* Tue Jul  9 2002 kssingvo@suse.de
- upgraded to version 1.1.15 and adapted all the old patches
- moved %%{_sysconfdir}/cups to libs (as suggested by jsmeix)
* Tue Jul  2 2002 kssingvo@suse.de
- added symbolic link /usr/bin/lpc (bugzilla #16652)
- changed umask in rccups (bugzilla #16567)
* Thu Jun 13 2002 draht@suse.de
- Running cupsd if no printer is configured makes no sense.
  Do not activate cupsd after installation in %%post.
* Tue Jun  4 2002 kssingvo@suse.de
- fixed g++/cups-config problems in other cups subpackages
* Tue Jun  4 2002 kssingvo@suse.de
- added 'cups-config' to devel
* Wed May  8 2002 kssingvo@suse.de
- fixed linker problem (rpath) under x86_64
- therefore old x86_64 fix is no longer necessary: removed.
* Mon Apr 22 2002 kssingvo@suse.de
- added %%ifarch x86_64 to avoid linking problems in specfile.
* Thu Apr 18 2002 kssingvo@suse.de
- updated to 1.1.14
- removed unnecessary patches
- adapted testpage.ps patch to new file
- fixed permission problem with lppasswd
- fixed %%files section (now includes all %%dirs too)
* Wed Apr 10 2002 ro@suse.de
- don't call autoreconf, we can't use autoheader and automake here
* Tue Feb 26 2002 kssingvo@suse.de
- fixed too restrictive IPP security fix
- fixed documentation path (#13889)
* Mon Feb 25 2002 kssingvo@suse.de
- reorganized online documentation. old structure might confuse people (#13849)
* Wed Feb 20 2002 kssingvo@suse.de
- completed the IPP security fix again (hopefully the last time)
* Mon Feb 18 2002 kssingvo@suse.de
- completed the IPP security fix
* Tue Feb 12 2002 kssingvo@suse.de
- updated perl scripts cupsomatic, and foomatic-gswrapper
* Tue Feb 12 2002 kssingvo@suse.de
- made patch cups-cs-utf8.dif again. got build problems with last version.
* Mon Feb 11 2002 kssingvo@suse.de
- Added iso-8859-2 patch for czech utf-8 locale.
  Thanks to Petr Blahos <pblahos@suse.cz>.
* Mon Feb 11 2002 kssingvo@suse.de
- added IPP security fix
* Fri Feb  1 2002 draht@suse.de
- log tcp-wrappers based connection refusals to cups' own logfiles
  instead of syslog.
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 29 2002 draht@suse.de
- added support for tcp-wrappers (cups-1.1.12-libwrap-addition.dif)
  token for /etc/hosts.{allow,deny} is "cupsd".
* Mon Jan 21 2002 schwab@suse.de
- Fix gcc version check.
* Tue Jan  8 2002 pblahos@suse.cz
- cups-client does not provide print_daemon anymore. print_daemon
  is required by aps but cups-client does not satisfy aps
  regarding this.
- START_CUPS variable removed
- up to 1.1.12
* Sun Nov 11 2001 bjacke@suse.de
- fixes specfile
* Sat Nov 10 2001 bjacke@suse.de
- add standard postscript PPD
- set DefaultPage{Size,Region} to A4 in ppd files
- now reqiures ghostscript_any
- add /etc/permissions.d/cups-client (#4094)
- personalize test page
- move old font directory if existing and send mail
- up to 1.1.11
* Mon Oct 22 2001 ro@suse.de
- remove ghostscript-fonts-std from neededforbuild, this is only
  a runtime requirement
* Tue Sep  4 2001 bjacke@suse.de
- work around cups' broken tmp file handling (#10142)
* Sun Sep  2 2001 bjacke@suse.de
- move client.conf to libs package
- activate cat8 man pages
- add README.SuSE
- update lphelp
* Thu Aug 30 2001 bjacke@suse.de
- split into cups-client and cups(-server) package
- add %%ghosty smb printer backend support
- re-add ogonky for non-latin1 charsets (#9864)
- add printanalyzer script in doc
* Mon Aug 27 2001 utuerk@suse.de
- removed cups.conf (now provided by susehelp)
* Mon Aug 27 2001 kukuk@suse.de
- Remove -j parameter from spec file
* Sat Aug 25 2001 bjacke@suse.de
- update to 1.1.10-1 (many fixes)
- fix output for dvi's (bug #9862)
- new poll_ppd_base
* Sun Aug 19 2001 bjacke@suse.de
- split out cups-libs from cups
- add ssl directory
- make correct links for cups libraries
* Thu Aug 16 2001 bjacke@suse.de
- use ghostscript fonts which are the same as the cups fonts and adjust
  dependecy for ghostscript-fonts-std
* Sun Aug 12 2001 bjacke@suse.de
- enable SSL
* Fri Aug 10 2001 bjacke@suse.de
- correct init script
* Fri Jul 20 2001 max@suse.de
- new version 1.1.9 .
- updated init script to new skeleton (Bug #8981).
* Mon Jun 18 2001 max@suse.de
- added support for PS files created by Netscape.
* Sun Apr 15 2001 schwab@suse.de
- Fix missing declarations.
* Thu Apr 12 2001 max@suse.de
- moved foomatic-gswrapper and cupsomatic
  from cups-drivers to cups
* Thu Apr 12 2001 max@suse.de
- patched cupsd to use /dev/urandom instead of /dev/random.
  This fixes bug #6703
* Wed Apr 11 2001 max@suse.de
- spec file overhaul
- using RPM_BUILD_ROOT now
- removed /etc/printcap from file list
- removed dependency to cups-drivers
* Tue Apr 10 2001 kendy@suse.cz
- Wake up Epson Stylus USB printers before sending the print job.
- Added czech translations (czech.dif).
* Mon Apr  2 2001 utuerk@suse.de
- added cups.conf for susehelp
* Fri Mar 23 2001 kendy@suse.cz
- USB printers can be now addressed using URI
  usb:<device_without_number>?vendor=<xxxx>&prod_id=<yyyy>
  where <xxxx> and <yyyy> are USB identification numbers.
  (e.g. usb:/dev/usb/lp?vendor=04a9&prod_id=1052 for Canon BJC-6100)
- fixed pplication/dvi -> application/dvi in conf/mime.convs
* Mon Feb 26 2001 mhafner@suse.de
- update to 1.1.6-3 (fixing several security issues)
* Tue Jan 30 2001 mhafner@suse.de
- update to 1.1.6 (fixes possible DoS attack)
* Mon Jan  8 2001 bjacke@suse.de
- added missing reqiures for cups-drivers
* Fri Dec 22 2000 mhafner@suse.de
- update to version 1.1.5
* Mon Dec  4 2000 mhafner@suse.de
- cups configuration changed - Browsing now Off by default
* Thu Nov 30 2000 mhafner@suse.de
- added DVI filter
* Wed Nov 29 2000 ro@suse.de
- fixed spec
* Tue Nov 28 2000 ro@suse.de
- fixed startscript
* Fri Nov 24 2000 mhafner@suse.de
- added rc.config fillup and SuSEconfig script to automatically
  set browse address if demanded
* Wed Nov 22 2000 mhafner@suse.de
- split into system and development package
* Fri Oct  6 2000 mhafner@suse.de
- documentation root changed
* Fri Oct  6 2000 mhafner@suse.de
- update to version 1.1.4
- small changes in spec file
* Mon Sep 25 2000 mhafner@suse.de
- make post-script succeed unconditionally
* Tue Sep 19 2000 mhafner@suse.de
- update to version 1.1.3
* Thu Sep 14 2000 mhafner@suse.de
- restart daemon if already started
- added two little tools (poll_ppd_base, lphelp)
- added a few compatibility links
* Thu Sep 14 2000 mhafner@suse.de
- turned automatic generation of printcap on
- turned implicit classes off since they are buggy
* Wed Sep 13 2000 mhafner@suse.de
- fixed directory structure
- added links to lpd and rclpd
* Fri Sep  1 2000 adrian@suse.de
- added Conflicts line
* Mon Aug 28 2000 adrian@suse.de
- initial package
